package tech.nevets.igformatter;

import java.io.File;
import java.util.TimerTask;

public class TempCleanUpTask extends TimerTask {
    private static final String TEMP_DIR = "./temp";

    @Override
    public void run() {
        File directory = new File(TEMP_DIR);
        if (directory.exists() && directory.isDirectory()) {
            File[] files = directory.listFiles();
            if (files != null) {
                for (File file : files) {
                    if (file.isFile()) {
                        boolean deleted = file.delete();
                        if (deleted) {
                            System.out.println("Deleted file: " + file.getName());
                        } else {
                            System.out.println("Failed to delete file: " + file.getName());
                        }
                    }
                }
            }
        } else {
            System.out.println("Directory does not exist or is not a directory: " + TEMP_DIR);
        }
    }
}
